"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.responseHeaders = exports.responseText = exports.responseBody = void 0;

var _queryKey = require("../lib/query-key");

var responseBody = function responseBody(errorsState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return errorsState.getIn([queryKey, 'responseBody']);
};

exports.responseBody = responseBody;

var responseText = function responseText(errorsState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return errorsState.getIn([queryKey, 'responseText']);
};

exports.responseText = responseText;

var responseHeaders = function responseHeaders(errorsState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return errorsState.getIn([queryKey, 'responseHeaders']);
};

exports.responseHeaders = responseHeaders;