"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.queryCount = exports.lastUpdated = exports.headers = exports.status = exports.isPending = exports.isFinished = void 0;

var _queryKey = require("../lib/query-key");

var isFinished = function isFinished(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return false;
  }

  return queriesState.getIn([queryKey, 'isFinished'], false);
};

exports.isFinished = isFinished;

var isPending = function isPending(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return false;
  }

  return queriesState.getIn([queryKey, 'isPending'], false);
};

exports.isPending = isPending;

var status = function status(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return queriesState.getIn([queryKey, 'status'], null);
};

exports.status = status;

var headers = function headers(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return queriesState.getIn([queryKey, 'headers'], null);
};

exports.headers = headers;

var lastUpdated = function lastUpdated(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return null;
  }

  return queriesState.getIn([queryKey, 'lastUpdated'], null);
};

exports.lastUpdated = lastUpdated;

var queryCount = function queryCount(queriesState, queryConfig) {
  var queryKey = (0, _queryKey.getQueryKey)(queryConfig);

  if (!queryKey) {
    return 0;
  }

  return queriesState.getIn([queryKey, 'queryCount'], 0);
};

exports.queryCount = queryCount;